#!/usr/bin/env Rscript
  library(ncdf4)

  # François Massonnet, 30 Jan 2015
  # Adds a gaussian perturbation at the first level of a 3D field
  # Tested only for NEMO restarts
  #
  # This script should be called by a bash script so that the variable and file names are specified, as well as the perturbation

  varname='tn'
  filein <- 'data/a08v_20300101_000000_restart_fc19.nc'
  ex.nc           <- nc_open(filein,write=TRUE)
  spert <- 0.0002

  myvar     <- ncvar_get(ex.nc, varname)
  myvarpert <- myvar
  for (i in seq(1,dim(myvar)[1])){
    for (j in seq(1,dim(myvar)[2])){
      if (myvar[i,j,1] != 0){
        myvarpert[i,j,1] = myvarpert[i,j,1] + rnorm(1,sd=spert)
      }
    }
  }

  ncvar_put(ex.nc,varname,myvarpert)
  nc_close(ex.nc)
